
var TiposBloque = {
	vacio: 0,
	serpCabeza: 1,
	serpCabezaComiendo: 2,
	serpCuerpo: 3,
	serpCola: 4,
	comidaAlim1: 5,
	comidaAlim2: 6,
	comidaAlim3: 7,
	pared: 8
}

//"objeto" es el objeto correspondienet según el tipo (p.ej: si es tipo comida, tendrá un objeto comida, si es serpiente, tendrá la serpiente...)
function Bloque(div, tipo, objeto){
	this.div = div;
	this.tipo = tipo;
	this.objeto = objeto;
	
	this.pintar();
}

Bloque.prototype.set = function(tipo, objeto){
		this.tipo = tipo;
		this.objeto = objeto;
		
		this.pintar();
}

Bloque.prototype.pintar = function(){
	this.div.className = 'block';
	
	var className = "";
	switch(this.tipo){
		case TiposBloque.serpCabeza:
			className = " snake head";
			break;
		case TiposBloque.serpCabezaComiendo:
			className = " snake eatingHead";
			break;
		case TiposBloque.serpCuerpo:
			className = " snake body";
			break;
		case TiposBloque.serpCola:
			className = " snake tail";
			break;
		case TiposBloque.comidaAlim1:
			className = " food level1";
			break;
		case TiposBloque.comidaAlim2:
			className = " food level2";
			break;
		case TiposBloque.comidaAlim3:
			className = " food level3";
			break;
		case TiposBloque.pared:
			className = " wall";
			break;
	}
	
	this.div.className += className;
}

Bloque.prototype.contieneComida = function(){
	return this.tipo == TiposBloque.comidaAlim1 || this.tipo == TiposBloque.comidaAlim2 || this.tipo == TiposBloque.comidaAlim3;
}
