function Comida(alimento, bloque, segundosDuracion){
	//Creo las propiedades
	this.alimento = alimento;
	this.bloque = bloque;
	if(segundosDuracion)
		this.timeOut = setTimeout(function(thisObj) { thisObj.eliminar(); }, segundosDuracion * 1000, this);
	
	//Pinto la comida
	this.bloque.set(this.tipoBloque(), this);
}

Comida.prototype.tipoBloque = function(){
	return eval("TiposBloque.comidaAlim" + this.alimento);
}

Comida.prototype.eliminar = function(){
	if (this.bloque.contieneComida()) {
		
		//Finaizar timeout si tiene
		if(this.timeOut)
			clearTimeout(this.timeOut);
		
		//Vaciar bloque ocupado por la comida
		this.bloque.set(TiposBloque.vacio);
	}
}
